import { Observable, Observer, PartialObserver, Subscription } from "rxjs";
export declare class StepOperations<T> {
    private operations;
    private _isCancelled;
    private _ignoreError;
    readonly isCancelled: boolean;
    private constructor();
    static sequential<T>(operations: StepOperations.Operation<T>[]): StepOperations<T>;
    asObservable(): Observable<T>;
    cancel(): void;
    subscribe(observer?: PartialObserver<T>): Subscription;
    private checkIsCancelled;
}
export declare namespace StepOperations {
    type Operation<T> = (observer: Observer<T>, index: number) => Promise<any>;
}
